using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;
using WindowsGame1.Screen;

namespace WindowsGame1
{
    public class ScoreUI : ScreenBase
    {
        public int Life;
        public int Score;

        private Vector2 scoreVector = new Vector2(200, 5);
        private Vector2 scoreWordVector = new Vector2(150, 5);
        private string scoreWord = "Score:";
        private Vector2 lifeVector = new Vector2(50, 5);
        private Vector2 lifeWordVector = new Vector2(5, 5);
        private string lifeWord = "Life:";

        public ScoreUI(Game game)
            : base(game)
        {
            Life = 3;
            Score = 0;
        }

        public override void Update(GameTime gameTime)
        {

        }

        public override void Draw(GameTime gameTime, SpriteBatch sprite)
        {
            sprite.Begin();
            sprite.DrawString(Game1.DefaultFont, scoreWord, scoreWordVector, Color.Red);
            sprite.DrawString(Game1.DefaultFont, Score.ToString(), scoreVector, Color.Red);
            sprite.DrawString(Game1.DefaultFont, lifeWord, lifeWordVector, Color.Red);
            sprite.DrawString(Game1.DefaultFont, Life.ToString(), lifeVector, Color.Red);
            sprite.End();
        }
    }
}
